sample.session.client

## Class DAVIDParser

- java.lang.Object
- - sample.session.client.DAVIDParser

-     public class DAVIDParser
      extends java.lang.Object

  Class responsible to dump DAVID's different outputs to tab separated files. These includes: 1) ChartReport: 2) TableReport: 3) GeneClusterReport: 4) TermClusterReport: Fun 5) ListReport: Show Gene List associated data (id, gene name, organism)
  Since:
    2012-12-31
  Version:
    1.0
  Author:
    Modifications by Cristobal Fresno (cristobalATgmailDOTcom) to DAVID's JavaClient-1.1.zip

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `EOL` The end of line separator token "\n".
    `static java.lang.String` | `SEP` The column separation token "\t".

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DAVIDParser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` The main method.
    `static void` | `writeChartReport(java.lang.String fileName, sample.session.service.xsd.SimpleChartRecord[] simpleChartRecords)` Parse DAVID's ChartReport and write them to a file using a StringBuffer.
    `static void` | `writeGeneClusterReport(java.lang.String fileName, sample.session.service.xsd.SimpleGeneClusterRecord[] simpleGeneClusterRecords)` Parse DAVID's ClusterReport and write them to a file using a StringBuffer.
    `static void` | `writeListReport(java.lang.String fileName, david.xsd.ListRecord[] listRecords, java.lang.String idType)` Parse DAVID's ListReport and write them to a file using a StringBuffer.
    `static void` | `writeSummaryReport(java.lang.String fileName, david.xsd.MainSummaryRecord[] mainSummaryRecords)` Parse DAVID's SummaryReport and write them to a file using a StringBuffer.
    `static void` | `writeTableReport(java.lang.String fileName, david.xsd.TableRecord[] tableRecords)` Parse DAVID's TableReport and write them to a file using a StringBuffer.
    `static void` | `writeTermClusterReport(java.lang.String fileName, sample.session.service.xsd.SimpleTermClusterRecord[] simpleTermClusterRecords)` Parse DAVID's TermClusterReport and write them to a file using a StringBuffer.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SEP

          public static final java.lang.String SEP

      The column separation token "\t".
      See Also:
        Constant Field Values

    - #### EOL

          public static final java.lang.String EOL

      The end of line separator token "\n".
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DAVIDParser

          public DAVIDParser()

  - ### Method Detail

    - #### writeChartReport

          public static void writeChartReport(java.lang.String fileName,
                              sample.session.service.xsd.SimpleChartRecord[] simpleChartRecords)

      Parse DAVID's ChartReport and write them to a file using a StringBuffer.
      Parameters:
        `fileName` - String with the output file name.
        `simpleChartRecords` - returned by DAVID's ChartReport output.

    - #### writeTableReport

          public static void writeTableReport(java.lang.String fileName,
                              david.xsd.TableRecord[] tableRecords)

      Parse DAVID's TableReport and write them to a file using a StringBuffer.
      Parameters:
        `fileName` - String with the output file name.
        `tableRecords` - returned by DAVID's TableReport output.

    - #### writeGeneClusterReport

          public static void writeGeneClusterReport(java.lang.String fileName,
                                    sample.session.service.xsd.SimpleGeneClusterRecord[] simpleGeneClusterRecords)

      Parse DAVID's ClusterReport and write them to a file using a StringBuffer.
      Parameters:
        `fileName` - String with the output file name.
        `simpleGeneClusterRecords` - returned by DAVID's ClusterReport output.

    - #### writeTermClusterReport

          public static void writeTermClusterReport(java.lang.String fileName,
                                    sample.session.service.xsd.SimpleTermClusterRecord[] simpleTermClusterRecords)

      Parse DAVID's TermClusterReport and write them to a file using a StringBuffer.
      Parameters:
        `fileName` - String with the output file name.
        `simpleTermClusterRecords` - returned by DAVID's TermClusterReport output.

    - #### writeListReport

          public static void writeListReport(java.lang.String fileName,
                             david.xsd.ListRecord[] listRecords,
                             java.lang.String idType)

      Parse DAVID's ListReport and write them to a file using a StringBuffer.
      Parameters:
        `fileName` - String with the output file name.
        `listRecords` - returned by DAVID's ListReport output.
        `idType` - String with DAVID's used id type for the specified list.

    - #### writeSummaryReport

          public static void writeSummaryReport(java.lang.String fileName,
                                david.xsd.MainSummaryRecord[] mainSummaryRecords)

      Parse DAVID's SummaryReport and write them to a file using a StringBuffer.
      Parameters:
        `fileName` - String with the output file name.
        `mainSummaryRecords` - returned by DAVID's SummaryReport output.

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      The main method. Basically runs testParse method to see if every writeXXReport works!!
      Parameters:
        `args` - the arguments (not used)
      Throws:
        `java.lang.Exception` - Signals that an I/O exception has occurred.